image: docker:latest

services:
  - docker:dind

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

build:
  stage: build
  variables:
    CONFLUENCE_VERSION: 7.0.2
  script:
    - wget https://www.atlassian.com/software/confluence/downloads/binary/atlassian-confluence-${CONFLUENCE_VERSION}.tar.gz
    - docker build --build-arg "CONFLUENCE_VERSION=$CONFLUENCE_VERSION" --pull -t "$CI_REGISTRY_IMAGE" .
    - docker tag "$CI_REGISTRY_IMAGE" "$CI_REGISTRY_IMAGE:$CONFLUENCE_VERSION"
    - docker tag "$CI_REGISTRY_IMAGE" "$CI_REGISTRY_IMAGE:$CONFLUENCE_VERSION-g$CI_COMMIT_SHORT_SHA"
    - docker push "$CI_REGISTRY_IMAGE"
